<?php

namespace App\System\Controller;

use App\System\Basic\beCache;
use App\System\Basic\beContoller;

class CacheController extends beContoller {
    public function clearall_post(){
        $menu = new MenuController;
        $cache = new beCache;
        $cache->beClearCache();
        $cache->beClearCache("view_compiled");
        $menu->beRenderMenus();
        return beAjaxSuccess(["message" => "Başarılı bir şekilde tüm sistemnde ön bellek temizlendi"]);
    }
    public function clear_post(){
        $cache = new beCache;
        $cache->beClearCache();
        return beAjaxSuccess(["message" => "Başarılı bir şekilde tüm sistemnde ön bellek temizlendi"]);
    }
}

?>